package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.PatrolInspectionArea;
import com.usky.fire.service.vo.PatrolInspectionAreaVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-07-12
 */
public interface PatrolInspectionAreaService extends CrudService<PatrolInspectionArea> {

    void addPatrolInspectionArea(PatrolInspectionAreaVo patrolInspectionAreaVo);

    void updatePatrolInspectionArea(PatrolInspectionArea patrolInspectionArea);

    void delPatrolInspectionArea(Integer id);

    List<PatrolInspectionArea> patrolInspectionAreaList(Integer id, String areaName, Integer pageNum, Integer pageSize);

    List<PatrolInspectionArea> patrolInspectionAreaSelect();
}
